Update fee scheme

API endpoint to update an existing fee scheme.

Body Params

Fee scheme

int32
required

Id of the fee scheme

string
required
length ≥ 1

The name of the fee scheme

fixedAmountFees
array of objects | null

List of fixed amount fees this fee scheme has

fixedAmountFees
proportionalFees
array of objects | null

List of proportional fees this fee scheme has

proportionalFees
marketValueFees
array of objects | null

Securities AUM/AUC fees this fee scheme has. Omit (null) to keep the stored ones; send an empty list to delete them.

marketValueFees
periodicFeeSettings
array of objects | null

Cadence (period and day rules) of the periodic fees, one entry per event type. Omitted values keep the stored ones.

periodicFeeSettings
Headers
string
required
Defaults to v1

API versioning

uuid
required

Correlates HTTP requests between a client and server

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json